<?php
$types = get_post_types();
$ignore = array("page", "attachment", "revision", "nav_menu_item");
$postType = get_option('dimme_googlemaps_posttype');
?>
<div class="wrap">
	<h2>googlemap admin page</h2>
	<form method="post" action="options.php">
		<?php wp_nonce_field('update-options'); ?>
		<table class="form-table">
			<tr>
				<td scope="row">Custom post type:</td>
				<td >
					<select name="dimme_googlemaps_posttype" id="dimme_googlemaps_posttype">
					<?php
					foreach($types as $type) {
						if(in_array($type, $ignore)) {
							// ignore
						} else {
							?>
								<option value="<?php echo $type ?>"<?php echo $type == $postType ? 'selected="selected"' : "" ?>><?php echo $type ?></option>
							<?php
						}
					}
					?>
					(Default: googlemap)
				</td>
			</tr>
			<tr>
				<td scope="row">
					<input type="hidden" name="action" value="update" />
					<input type="hidden" name="page_options" value="dimme_googlemaps_posttype" />
				</td>
				<td >
					<input type="submit" value="<?php _e('Save Changes') ?>" />
				</td>
			</tr>
		</table>
	</form>
</div>