var map;
var googlemapitems;
var latitude, longtitude;
jQuery(document).ready(function($) {
	if($("#dimme-googlemaps-map").length > 0) {
		if(latitude && longtitude) {
			var latlng = new google.maps.LatLng(latitude, longtitude);
		} else if(google.loader.ClientLocation) {
			var latt = google.loader.ClientLocation.latitude;
			var longg = google.loader.ClientLocation.longitude;
			var latlng = new google.maps.LatLng(latt, longg);
		} else {
			var latlng = new google.maps.LatLng("40.41153868","-3.70362707");
		}
		
	  var myOptions = {
	    zoom: 13,
	    center: latlng,
	    mapTypeId: google.maps.MapTypeId.ROADMAP
	  };
	  
	  var map = new google.maps.Map(document.getElementById("dimme-googlemaps-map"),myOptions);
		
		if(latitude && longtitude) {
			latlng = new google.maps.LatLng(latitude,longtitude);
			marker = new google.maps.Marker({
	    	position: latlng, 
	    	map: map,
	    	title: ""
		  });
		} else if(googlemapitems) {
	  	var bounds = new google.maps.LatLngBounds();
		  l = googlemapitems.length;
			var marker = [];
			var infowindow = new google.maps.InfoWindow({
				content: "holding..."
			});
			for(i = 0 ; i < l ; i++) {
				latlng = new google.maps.LatLng(googlemapitems[i][1],googlemapitems[i][2]);
				marker[i] = new google.maps.Marker({
		    	position: latlng, 
		    	map: map,
		    	title: googlemapitems[i][0]
		  	});
		  	marker[i].html = googlemapitems[i][0];
				marker[i].postid = googlemapitems[i][3];
				
				google.maps.event.addListener(marker[i], 'click', function() {
		    	infowindow.setContent(this.html);
		    	infowindow.open(map, this);
		    	$(".post:visible").hide();
		    	$("#" + this.postid).show();
		  	});
		 		bounds.extend(latlng);
			}
			map.fitBounds(bounds);
		}
	}
	
	
});

var openInfoWindow;
function infoCallback(infowindow, marker) {
	alert(infowindow);
		if(openInfoWindow) {
			openInfoWindow.close();
		}
		infowindow.open(map, marker);
		openInfoWindow = infowindow;
	
}