
jQuery(document).ready(function($) {
	if($("#dimme-googlemaps-map").length > 0) {
		var latt = $("#latitude").val();
		var longg = $("#longtitude").val();
		if(latt && longg) {
			var latlng = new google.maps.LatLng(latt, longg);
		} else if(google.loader.ClientLocation) {
			var latt = google.loader.ClientLocation.latitude;
			var longg = google.loader.ClientLocation.longitude;
			var latlng = new google.maps.LatLng(latt, longg);
		} else {
			var latlng = new google.maps.LatLng("40.41153868","-3.70362707");
		}
		
	  var myOptions = {
	    zoom: 13,
	    center: latlng,
	    mapTypeId: google.maps.MapTypeId.ROADMAP
	  };
	  
		var map = new google.maps.Map(document.getElementById("dimme-googlemaps-map"),myOptions);
		
		var marker = new google.maps.Marker({
	    draggable: true,
	    position: latlng, 
	    map: map,
	    title: 'Move me!'
	  });
	  google.maps.event.addListener (marker, 'dragend', function (event) {
			// Pan to this position (doesn't work!)
			pp = marker.getPosition();
			
			document.getElementById("latitude").value = pp.lat();
			document.getElementById("longtitude").value = pp.lng();
			
			map.panTo (pp);
		});
	}
});